@echo off
echo XMAS demo coco disk builder (Becker port)
echo.

set sierra_path=C:\coco\boot\sierra
set game_dsk=xmas86-drivepak.dsk

rem Create AGI boot disk
os9 format -t160 -ss -dd -e -q -n"Sierra Christmas Card" %game_dsk%
call %sierra_path%\build_agi_2.072_drivepak %game_dsk%

rem Copy files
imgtool put coco_os9_os9 %game_dsk% logDir logDir
imgtool put coco_os9_os9 %game_dsk% picDir picDir
imgtool put coco_os9_os9 %game_dsk% sndDir sndDir
imgtool put coco_os9_os9 %game_dsk% viewDir viewDir
imgtool put coco_os9_os9 %game_dsk% object object
imgtool put coco_os9_os9 %game_dsk% words.tok words.tok
imgtool put coco_os9_os9 %game_dsk% toc toc
imgtool put coco_os9_os9 %game_dsk% toc.txt toc.txt
imgtool put coco_os9_os9 %game_dsk% vol.0 vol.0

rem Create partition file
for /f %%i in ("%game_dsk%") do (
  set game_par=%%~ni.par
)

dsk2par %game_dsk% %game_par%

echo.
echo Done!
pause
